package com.ibtp.kontor.library.dal;

import com.ibtp.kontor.library.entity.TitleEntity;

import java.util.Collection;
import java.util.List;

/**
 * Created by tpeetz on 23.01.2015.
 */
interface TitleDao {

    public TitleEntity getById(Long id);

    public Collection<TitleEntity> findByIds(List<Long> ids);

    public Collection<TitleEntity> findByName(String name);

    public TitleEntity store(TitleEntity entity);

    public void delete(TitleEntity entity);
}
